Bug 1410482 (CVE-2016-10065) - CVE-2016-10065 ImageMagick: Out of bounds read in viff file handling
Summary: CVE-2016-10065 ImageMagick: Out of bounds read in viff file handling
Status: CLOSED WONTFIX
Alias: CVE-2016-10065
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160214,repor...
Keywords: Security
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-05 15:32 UTC by Andrej Nemec
Modified: 2019-06-08 21:41 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-22 04:29:39 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-05 15:32:18 UTC
An out of bounds read vulnerability was found in ImageMagick. A maliciously crafted file could cause the application to crash or have other unspecified impact.

Upstream bug:

https://github.com/ImageMagick/ImageMagick/issues/129

References:

http://seclists.org/oss-sec/2016/q4/758

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/134463b926fa965571aa4febd61b810be5e7da05

Comment 1 Andrej Nemec 2017-01-05 16:15:32 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.